Skip to content

API keys

View as Markdown

Use an API key to authorize your requests to the MASV API.

API keys simplify integration with the MASV API in these ways:

  • The username and password do not need to be hardcoded or stored.
  • The key does not require a refresh after expiration every few days.
  • An API key, while active, does not require the user to periodically answer multi-factor authentication (MFA) challenges.

An API key gives your application the same permissions as the MASV user from which it was created. Users with these roles can create API keys:

Admins can manage only the API keys they create, Owners have full access to manage all API keys for the Team, and Custom roles vary according their permission settings. To learn more about user roles and permissions, see Roles and permissions in MASV.

Create and manage API keys in the MASV Web App. You can create API keys for any Team you belong to.

API key availability depends on your Team’s billing status:

Supply your API key in the X-API-KEY header on any request to the MASV API.

For full package documentation, see Packages.

MethodRoute
GET/teams/{team_id}/packages
Terminal window
# Store your API key in an environment variable — never hardcode it.
# See /api/api-keys/ for key management best practices.
curl -H "X-API-KEY: $MASV_API_KEY" \
-H "Content-Type: application/json" \
-X GET https://api.massive.app/v1/teams/$TEAM_ID/packages